#include "sprite_component.h"
#include <raylib.h>

#include "Logger.h"
#include "transform_component.h"


void SpriteComponent::Render(float x, float y) const {
    if (texture) {
        DrawTexture(*reinterpret_cast<Texture2D*>(texture), x, y, WHITE);
    }
}

void SpriteComponent::Render(TransformComponent transform) const {
    if (texture) {
        DrawTexture(*reinterpret_cast<Texture2D*>(texture), transform.x, transform.y, WHITE);
    }
}