#pragma once

#include "transform_component.h"


struct SpriteComponent {
public:
    void* texture;  // void* to abstract Texture2D
    void Render(float x, float y) const;
    void Render(TransformComponent transform) const;
};

// Usage:
// SpriteComponent sprite;
// sprite.texture = static_cast<void*>(&your_texture);