#pragma once

#include <entt/entt.hpp>
#include <components.h>

class SceneManager {
public:
    SceneManager(entt::registry& registry);

    void SetActiveScene(entt::entity scene);
    entt::entity CreateScene();
    void UpdateActiveScene(float delta);
    void RenderActiveScene();
    void UpdateUI(entt::registry& registry);
    void RenderUI(entt::registry& registry);

private:
    entt::registry& registry;
    entt::entity activeScene;
};
